package inf101.v18.rogue101.items;

import inf101.v18.rogue101.game.IGame;
import inf101.v18.rogue101.objects.IItem;

public class Shield implements IBuffItem {
    private final int hp = getMaxHealth();

    @Override
    public int getBuffDefence() {
        return 10;
    }

    @Override
    public int getBuffDamageReduction() {
        return 1;
    }

    @Override
    public int getCurrentHealth() {
        return hp;
    }

    @Override
    public int getDefence() {
        return 0;
    }

    @Override
    public int getMaxHealth() {
        return 150;
    }

    @Override
    public String getName() {
        return "Unknown shield";
    }

    @Override
    public int getSize() {
        return 2;
    }

    @Override
    public String getPrintSymbol() {
        return "\uD83D\uDEE1";
    }

    @Override
    public String getSymbol() {
        return "f";
    }

    @Override
    public int handleDamage(IGame game, IItem source, int amount) {
        return 0;
    }
}
